(POST) consulta
API Endpoint
https://{dns}/{contexto}
# Here is a curl example
curl --location 'https://{dns}/{contexto}' \
--header 'Content-Type: application/json' \
--data '{
"originZipCode": "string",
"destinationZipCode": "string",
"products": [
{
"skuId": "string",
"sellerTenant": "string",
"category": "string",
"weight": number,
"width": number,
"height": number,
"length": number,
"quantity": integer,
"cost": number
}
]
}'
Result example 2xx:
{
"statusHttp": integer,
"status": "string",
"messages": [
{
"type": "string",
"key": "string",
"text": "string",
"sellerTenant": "string"
}
],
"content": {
"sellerTenant": "string",
"destinationZipCode": integer,
"platform": "string",
"quotationId": "string",
"deliveryOptions": [
{
"deliveryMethodId": "string",
"deliveryMethodName": "string",
"deliveryTime": integer,
"deliveryTimeType": "bd",
"deliveryMode": "ENUM",
"deliveryEstimateBusinessDays": integer,
"finalShippingCost": integer,
"deliveryEstimatedDateExact": integer,
"deliveryEstimatedDateExactIso": "1",
"pickupPointInfo": [
{
"id": "string",
"name": "string",
"instructions": "string",
"description": "string",
"address": {
"id": "string",
"externalId": "string",
"zipCode": "string",
"city": {
"name": "string"
},
"state": {
"name": "string",
"initials": "string",
"ibgeCode": "string"
},
"street": "string",
"number": "string",
"complement": "string",
"neighborhood": "string",
"country": "string",
"latitude": null,
"longitude": null
},
"businessHours": [
{
"dayOfWeek": "ENUM",
"openingTime": "string",
"closingTime": "string"
}
],
"businessHoursExceptions": [
{
"date": "string",
"startTime": "string",
"endTime": "string",
"name": "string"
}
]
}
],
"availableDeliveryWindows": [
{
"date": "string",
"startTime": "string",
"endTime": "string"
}
]
}
],
"products": [
{
"skuId": "string",
"sellerTenant": "string",
"skuIntegration": "string"
}
]
},
"time": "string",
"timezone": "string",
"locale": "string"
}
Result example 4xx:
{
"statusCode": "0",
"logId": "string",
"name": "string",
"message": "string",
"fields": {
"additionalProp1": {
"message": "string"
}
}
}
Result example 5xx:
{
"statusCode": "0",
"logId": "string",
"name": "string",
"message": "string",
"fields": {
"additionalProp1": {
"message": "string"
}
}
}
Consulta de Frete com a URL do Seller
Path Parameters
| Campo |
Tipo |
Descrição |
| dns |
string |
(required) DNS do Seller |
| contexto |
string |
(required) Contexto do Seller |
Body Parameters
| Campo |
Tipo |
Descrição |
| originZipCode |
string |
(required) CEP de Origem |
| destinationZipCode |
string |
(required) CEP de Destino |
| products |
array |
(required) veja tabela products[] |
| Campo |
Tipo |
Descrição |
| products[].skuId |
string |
(required) ID do SKU |
| products[].sellerTenant |
string |
(required) Tenant do Seller dono do SKU |
| products[].category |
string |
(required) Categoria do SKU |
| products[].weight |
number |
(optional) Peso do SKU em quilograma (com gramas após o ponto) |
| products[].width |
number |
(optional) Largura do SKU em centímetro |
| products[].height |
number |
(optional) Altura do SKU em centímetro |
| products[].length |
number |
(optional) Comprimento do SKU em centímetro |
| products[].quantity |
integer |
(required) Quntidade de itens para cotação |
| products[].cost |
number |
(optional) Preço do SKU |
Response Parameters
| Campo |
Tipo |
Descrição |
| statusHttp |
integer |
(required) Sempre 200 |
| contexto |
string |
(required) Contexto do Seller |
| messages |
array |
(optional) veja tabela messages[] |
| content |
object |
(required) veja tabela content |
| time |
string |
(required) Duração do Request |
| timezone |
string |
(required) |
| locale |
string |
(required) |
| Campo |
Tipo |
Descrição |
| messages[].type |
string |
(opcional) |
| messages[].key |
string |
(opcional) |
| messages[].text |
string |
(opcional) |
| messages[].sellerTenant |
string |
(opcional) |
| Campo |
Tipo |
Descrição |
| content.sellerTenant |
string |
(required) Tenant do Seller |
| content.destinationZipCode |
integer |
(required) CEP Destino |
| content.platform |
string |
(optional) |
| content.quotationId |
boolean |
(optional) |
| deliveryOptions |
array |
(optional) veja tabela deliveryOptions[] |
| products |
array |
(optional) veja tabela products[] |
| Campo |
Tipo |
Descrição |
| deliveryOptions[].deliveryMethodId |
string |
(required) dentro do array deliveryOptions[], esse campo é unique |
| deliveryOptions[].deliveryMethodName |
string |
(required) |
| deliveryOptions[].deliveryTime |
integer |
(required) |
| deliveryOptions[].deliveryTimeType |
string |
(required) |
| deliveryOptions[].deliveryMode |
string |
(optional) |
| deliveryOptions[].deliveryEstimateBusinessDays |
integer |
(optional) |
| deliveryOptions[].finalShippingCost |
integer |
(required) |
| deliveryOptions[].deliveryEstimatedDateExact |
integer |
(required) |
| deliveryOptions[].deliveryEstimatedDateExactIso |
string |
(required) |
| availableDeliveryWindows |
array |
(optional) veja tabela availableDeliveryWindows[] |
| pickupPointInfo |
array |
(optional) veja tabela pickupPointInfo[] |
| Campo |
Tipo |
Descrição |
| products[].skuId |
string |
(required) Código do SKU |
| products[].sellerTenant |
string |
(required) Tenant do Seller dono do SKU |
| products[].skuIntegration |
string |
(required) ID do SKU |
| Campo |
Tipo |
Descrição |
| availableDeliveryWindows[].date |
string |
(required) |
| availableDeliveryWindows[].startTime |
string |
(required) |
| availableDeliveryWindows[].endTime |
string |
(required) |
| Campo |
Tipo |
Descrição |
| pickupPointInfo[].id |
string |
(required) |
| pickupPointInfo[].name |
string |
(required) |
| pickupPointInfo[].instructions |
string |
(required) |
| pickupPointInfo[].description |
string |
(required) |
| pickupPointInfo[].address |
json |
(required) Endereço da retirada |
| pickupPointInfo[].businessHours |
json |
(required) |
| pickupPointInfo[].businessHoursExceptions |
json |
(required) |